Qwt User's Guide 5.2.3

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
QwtScaleMap Class Reference

`#include <qwt_scale_map.h>`

List of all members.

## Public Member Functions
| QwtScaleMap ()
| QwtScaleMap (const QwtScaleMap &)
| ~QwtScaleMap ()
double | invTransform (double i) const
QwtScaleMap & | operator= (const QwtScaleMap &)
double | p1 () const
double | p2 () const
double | pDist () const
double | s1 () const
double | s2 () const
double | sDist () const
void | setPaintInterval (int p1, int p2)
void | setPaintXInterval (double p1, double p2)
void | setScaleInterval (double s1, double s2)
void | setTransformation (QwtScaleTransformation *)
int | transform (double x) const
const QwtScaleTransformation * | transformation () const
double | xTransform (double x) const

## Public Attributes
QT_STATIC_CONST double | LogMax = 1.0e150
QT_STATIC_CONST double | LogMin = 1.0e-150

## Detailed Description

A scale map.

QwtScaleMap offers transformations from a scale into a paint interval and vice versa.

## Constructor & Destructor Documentation

QwtScaleMap::QwtScaleMap | ( |  | ) |

Constructor.

The scale and paint device intervals are both set to [0,1].

QwtScaleMap::~QwtScaleMap | ( |  | ) |

Destructor

## Member Function Documentation

double QwtScaleMap::invTransform | ( | double | p | ) | const
| inline

Transform an paint device value into a value in the interval of the scale.

Parameters:

  p | Value relative to the coordinates of the paint device

See also:
  transform()

double QwtScaleMap::p1 | ( |  | ) | const
| inline

Returns:
  First border of the paint interval

double QwtScaleMap::p2 | ( |  | ) | const
| inline

Returns:
  Second border of the paint interval

double QwtScaleMap::pDist | ( |  | ) | const
| inline

Returns:
  qwtAbs(p2() - p1())

double QwtScaleMap::s1 | ( |  | ) | const
| inline

Returns:
  First border of the scale interval

double QwtScaleMap::s2 | ( |  | ) | const
| inline

Returns:
  Second border of the scale interval

double QwtScaleMap::sDist | ( |  | ) | const
| inline

Returns:
  qwtAbs(s2() - s1())

void QwtScaleMap::setPaintInterval | ( | int | p1,
|  | int | p2
| ) |  |

Specify the borders of the paint device interval.

Parameters:

  p1 | first border
  p2 | second border

void QwtScaleMap::setPaintXInterval | ( | double | p1,
|  | double | p2
| ) |  |

Specify the borders of the paint device interval.

Parameters:

  p1 | first border
  p2 | second border

void QwtScaleMap::setScaleInterval | ( | double | s1,
|  | double | s2
| ) |  |

Specify the borders of the scale interval.

Parameters:

  s1 | first border
  s2 | second border

Warning:
  logarithmic scales might be aligned to [LogMin, LogMax]

void QwtScaleMap::setTransformation | ( | QwtScaleTransformation * | transformation | ) |

Initialize the map with a transformation

int QwtScaleMap::transform | ( | double | s | ) | const
| inline

Transform a point related to the scale interval into an point related to the interval of the paint device and round it to an integer. (In Qt <= 3.x paint devices are integer based. )

Parameters:

  s | Value relative to the coordinates of the scale

See also:
  xTransform()

double QwtScaleMap::xTransform | ( | double | s | ) | const
| inline

Transform a point related to the scale interval into an point related to the interval of the paint device

Parameters:

  s | Value relative to the coordinates of the scale